var photoGal, sizeList;

function selectView(id) {
	photoGal.className = id.replace("icon_", "photo_");

	if (id == "icon_thum") {
		sizeList.style.display = "block";
		changeSize(sizeList.value);
	} else {
		sizeList.style.display = "none";
	}
}

function changeSize(size) {
	switch(size) {
		case "S": 
			photoGal.className = "photo_thum";
			break;
		case "M": 
			photoGal.className = "photo_thum size_m";
			break;
		default:
			photoGal.className = "photo_thum size_l";
	}	
}

function showPhoto(link) {
	var lightBox = document.getElementById("lightbox");
	var lightImg = document.getElementById("lightimg");

	var imgSrc = link.getElementsByTagName("img")[0].src;
	var imgTitle = link.getElementsByTagName("b")[0].innerHTML;
	var imgDesc = link.getElementsByTagName("em")[0].innerHTML;
	
	lightBox.getElementsByTagName("img")[0].src = imgSrc;
	lightBox.getElementsByTagName("b")[0].innerHTML = imgTitle;
	lightBox.getElementsByTagName("em")[0].innerHTML = imgDesc;

	var tmpImg = new Image();
	tmpImg.src = imgSrc;
	
	lightImg.style.width = tmpImg.width + "px";
	lightBox.style.height = Math.max(document.body.offsetHeight, document.documentElement.clientHeight) + "px";
	
	var docTop = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop;
	lightImg.style.top = (docTop + 15) + "px";

	lightBox.style.display = "block";
	
	delete tmpImg;
}

function initPage() {
	photoGal = document.getElementById("photos");
	sizeList = document.getElementById("thum_size");

	var iconList = document.getElementById("icons").getElementsByTagName("li");
	for (var i = 0; i < iconList.length; i++) {
		if (iconList[i].id)
			iconList[i].onclick = function() { selectView(this.id); }
	}

	sizeList.onchange = function() { changeSize(this.value); }
	
	var imgLinks = photoGal.getElementsByTagName("a");
	for (i = 0; i < imgLinks.length; i++)
		imgLinks[i].onclick = function() { showPhoto(this); return false; }
	
	document.getElementById("close").onclick = function() { document.getElementById("lightbox").style.display = "none"; }
}

window.onload = initPage;